Bug 57560 - Japanese man ed is crazy
Summary: Japanese man ed is crazy
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: groff (Show other bugs)
(Show other bugs)
Version: 7.2
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Florian La Roche
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-12-15 20:30 UTC by Nakai
Modified: 2007-04-18 16:38 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-08-08 08:26:33 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Nakai 2001-12-15 20:30:55 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.6) Gecko/20011120

Description of problem:
'man ed' in Japanese environment is crazy.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. LANG=ja_JP.eucJP
2. man ed
3. Oops

Actual Results:  Error message:
/usr/share/groff/1.17.2/tmac/docj.tmac:57: can't find macro file `mdoc/common'
/usr/share/groff/1.17.2/tmac/docj.tmac:58: can't find macro file `mdoc/syms'
troff: automatically ending diversion `eB' on exit


Additional info:

zcat /usr/share/man/ja/man1/ed.1.gz | groff -Tnippon -man | less

works well, though.

Comment 1 Nakai 2002-08-08 08:26:27 UTC
Using doc.tmac instead of docj.tmac will provide
a better behavior, but not complete. So please apply
this patch for Milan.

--- groff.spec.orig     2002-08-08 17:14:17.000000000 +0900
+++ groff.spec  2002-08-08 17:06:23.000000000 +0900
@@ -123,6 +123,8 @@
 
 install -m 644 %SOURCE6 $RPM_BUILD_ROOT/usr/share/groff/%version/tmac/hyphen.cs
 
+ln -sf doc.tmac $RPM_BUILD_ROOT/usr/share/groff/%version/tmac/docj.tmac
+
 %clean
 rm -rf ${RPM_BUILD_ROOT}
 


Comment 2 Florian La Roche 2002-08-26 13:48:08 UTC
Fix is already in the newest rpms for some time.

Thanks,

Florian La Roche



Note You need to log in before you can comment on or make changes to this bug.